ELF_GETARHDR(3) | Library Functions Manual | ELF_GETARHDR(3)

# NAME

elf_getarhdr — retrieve ar(1) header for an archive member

# LIBRARY

ELF Access Library (libelf, -lelf)

# SYNOPSIS

#include <libelf.h>
Elf_Arhdr *
elf_getarhdr(Elf *elf);

# DESCRIPTION

The elf_getarhdr() function returns a pointer to an archive member header for a descriptor elf. This descriptor must have been returned by a prior call to elf_begin(3), and must be a descriptor for a member inside an ar(1) archive.
Structure Elf_Arhdr includes the following members:

char * ar_name
  A pointer to a null terminated string containing the translated name of the archive member.
char * ar_rawname
  A pointer to a null terminated string containing the untranslated name for the archive member, including all ar(1) formatting characters and trailing white space.
time_t ar_date
  The timestamp associated with the member.
uid_t ar_uid
  The uid of the creator of the member.
gid_t ar_gid
  The gid of the creator of the member.
mode_t ar_mode
  The file mode of the member.
size_t ar_size
  The size of the member in bytes.

# RETURN VALUES

This function returns a valid pointer to an Elf_Arhdr structure if successful, or NULL if an error is encountered.

# ERRORS

Function elf_getarhdr() may fail with the following errors:

[`ELF_E_ARGUMENT`]
  Argument elf was NULL.
[`ELF_E_ARGUMENT`]
  Argument elf was not a descriptor for a member of an ar(1) archive.

# SEE ALSO

elf(3), elf_begin(3), elf_getarsym(3), elf_memory(3)

August 15, 2006 | NetBSD 8.2